exim_lock(1)

NAME
exim_lock - A program to lock a file exactly as Exim would

SYNOPSIS
exim_lock [-v] [-q] [-lockfile] [-fcntl|-mbx] filename [command]

DESCRIPTION
exim_lock is a program to lock a file in exactly the same way as Exim would. It is intended for the investigation of interlocking problems, but can also be used to prevent Exim from modifying the file while you do something else to it (for example if you need to manually edit your mailbox in /var/mail).

Apart from specifying the name of the file to lock, which is required, the following optional arguments may also be supplied to exim_lock :

-v  specifies verbose mode (this is overridden if -q is also specified);

-q  specifies quiet mode (takes precendence over -v );

-fcntl
    specifies that exim_lock should use an fcntl lock;

-lockfile
    specifies that exim_lock should use a lock file (sometimes called a "dotlock");

-mbx
    specifies that exim_lock should lock using MBX rules. To quote from the source of exim_lock , "This is complicated and is documented with the source of the c-client library that goes with Pine and IMAP. What has to be done to interwork correctly is to take out a shared lock on the mailbox, and an exclusive lock on a /tmp file."

command
    specifies the command to run once the specified file is locked. The mailbox will be unlocked again when this command exits.

Note that if these parameters are not specified, then exim_lock will lock the file using fcntl and lockfile methods, and then run a shell.

SEE ALSO
exim(8)

There is also extensive documentation available in /usr/doc/exim and in the info system (try "info exim"). Please be sure to have the exim-doc package installed.

AUTHOR
Exim was, and mostly is, written by Philip Hazel, inspired by Smail 3.

This manual page was written by Nick Phillips <nwp@lemon-computing.com> for the Debian GNU/Linux system.